# External Account Cards External account cards are debit cards associated with a Stripe platform’s connected accounts for the purpose of transferring funds to or from the connected accounts Stripe balance. This API is only available for users enrolled in the public preview for Accounts v2 on Stripe Connect. If you are not in this preview, please use the [Accounts v1 API](https://docs.stripe.com/api/external_account_cards.md?api-version=2025-03-31.basil) to manage your connected accounts’ external bank accounts instead. ## Endpoints ### Create a card - [POST /v1/external_accounts](https://docs.stripe.com/api/external_account_cards/create.md) ### Update a card - [POST /v1/external_accounts/:id](https://docs.stripe.com/api/external_account_cards/update.md) ### Retrieve a card - [GET /v1/external_accounts/:id](https://docs.stripe.com/api/external_account_cards/retrieve.md) ### List all cards - [GET /v1/external_accounts](https://docs.stripe.com/api/external_account_cards/list.md) ### Delete a card - [DELETE /v1/external_accounts/:id](https://docs.stripe.com/api/external_account_cards/delete.md) ## Events - `account.external_account.created` Occurs whenever an external account is created. - `account.external_account.deleted` Occurs whenever an external account is deleted. - `account.external_account.updated` Occurs whenever an external account is updated. - `customer.source.created` Occurs whenever a new source is created for a customer. - `customer.source.deleted` Occurs whenever a source is removed from a customer. - `customer.source.expiring` Occurs whenever a card or source will expire at the end of the month. This event only works with legacy integrations using Card or Source objects. If you use the PaymentMethod API, this event won’t occur. - `customer.source.updated` Occurs whenever a source’s details are changed.